Page MenuHomePhabricator

Wikimania Hackathon Focus Area: Small Wiki Toolkits
Closed, ResolvedPublic0 Story Points

Description

Small Wiki Toolkits
This focus area is planned for the Wikimania Hackathon and Wikimania.

With this focus area, we hope to support wikis & their communities who don’t have many/any technical contributors and help bridge the gap between developer and editor communities. We would like to enable more people in addressing their specific local use cases, technical needs and generally provide different language wikis and project communities a space to exchange on a wide variety of topics. We hope that this is going to be a space to learn from each other, have fun, find support & give support.

Sub-areas:

  • Technical Support: Workshops for beginners
  • Hacking: Projects with a focus on developing bots, tools, gadgets for a language wiki or project community; projects with a focus on internationalisation
  • Technical documentation/translation: Translation of technical documentation, help pages, system messages, tools

We’re looking for folks who would like to run workshops, or simply help people with:

  • Simple bots, gadgets and tools to help address local use cases (e.g. maintenance & curation tasks …)
  • Intro to Toolforge/Cloud Services
  • Internationalization & localisation of tools/software
  • Customization of wikis
  • Templates, Wikidata generated infoboxes
  • How to enable or develop small extensions
  • How to use translate wiki, translate extension …
  • How to run a technical workshop (a kind of train the trainer)
  • Introduction to Phabricator (project management tool) (T219418; @Aklapper)
  • ...

The plan is to expand this focus area to Wikimania to get more people in who are not at the hackathon. We could continue with smaller workshops, office hours in a dedicated space at Wikimania. We’re also thinking of 1 panel in the Wikimania program, and something like a mix and match board for problems & already existing solutions … :-)

Updates:
Accepted Wikimania sessions with relation to this focus area:

Meeting space at Wikimania:

  • Wikimania sessions are distributed across several buildings. The main workshop building "Södra huset" (the Technology program space is in that building too) has many tables & areas to sit in the foyer + in the main hallway. It looks good & we can have have a space there!
  • There is a hacking room that is a bit more far away. We could use the more central space as a home base for office hours & the "problem is looking for solutions board" & also use it as a general meeting corner, and go to the hacking room for small workshops. We could have a poster there with a timetable to inform people about workshops, sessions, office hours, meetups ... .
  • It would be nice to cover a few hours every day.

Advertising the area outside of Phabricator/the technical spaces:
The plan is to set up a sub page on wikimania wiki with timetable etc., and start spreading the word outside of Phabricator in the week of July 22-26.

More to come on twitter, fb et al - please spread the word :-)

Coordination: @srishakatux & @Bmueller

Event Timeline

Rfarrand triaged this task as Normal priority.Apr 18 2019, 5:31 PM
Rfarrand created this task.

This task is now linked from the Wikimania 2019 Hackathon page! :)

@Bmueller & @srishakatux: start working here! :)

Zack added a subscriber: Zack.May 2 2019, 7:41 AM

@srishakatux & @Bmueller: Hello, we will be opening general registration for wikimania sometime between May 13-15. Can you please make sure to update this task description with more details by then?
Thanks!

Hi @Rfarrand thanks for the heads up! We will talk this week and provide more infos by end of this week.

Bmueller renamed this task from Wikimania Hackathon Focus Area: Technical Equity for underserved communities to Wikimania Hackathon Focus Area: Technical Equity for smaller/underserved language communities and projects.May 10 2019, 9:18 PM
Bmueller updated the task description. (Show Details)
Bmueller updated the task description. (Show Details)May 11 2019, 7:17 AM
Bmueller updated the task description. (Show Details)May 11 2019, 7:22 AM
Bmueller renamed this task from Wikimania Hackathon Focus Area: Technical Equity for smaller/underserved language communities and projects to Wikimania Hackathon Focus Area: Technical Equity for underserved communities and projects.May 11 2019, 7:26 AM

@Bmueller perfect, thank you! If you would like me to edit the text here at all (not sure if that wiki is locked to editing): https://wikimania.wikimedia.org/wiki/2019:Hackathon , I guess not everyone will click the link.
let me know and I can make the change!

Hey @Rfarrand that would be awesome, thank you very much!

Bmueller renamed this task from Wikimania Hackathon Focus Area: Technical Equity for underserved communities and projects to Wikimania Hackathon Focus Area: Small Wiki Toolkits.May 21 2019, 10:24 AM
Bmueller updated the task description. (Show Details)
Bmueller updated the task description. (Show Details)May 22 2019, 9:45 AM
Aklapper updated the task description. (Show Details)May 22 2019, 9:46 PM

More thoughts on how to bridge over to Wikimania: One idea could be: We use the Hackathon days mostly for train the trainers, creation of tutorials, translation corner & 1:1 support for the people who already show up at the Hackathon - and the Wikimania for workshops, discussion panel, support desk etc. This would mean we either need to submit workshops (bot workshop, gadget workshop, template workshop) to the Wikimania program, or the space at Wikimania has to be big enough to run workshops.

Adding @Andrew and @aborrero as subscribers here. Hopefully they can think of some things from the cloud-services-team point of view that they can help with this area.

I'll be interested in participating in this small wiki toolkit hackathon. At the Cantonese Wikipedia we've been trying to build bots to generate league tables of best contributors and automate some routine maintenance, and it'll be nice to see whether other wikis have done similar things so we don't repeat ourselves.

Hey @deryckchan, yay! This is the kind of project we had in mind when coming up with the idea for this focus area :-)
We're also thinking about setting up a "problem looking for existing solution" board to help matching people, problems & ideas/existing solutions beforehand/during the hackathon/wikimania. We could set it up onwiki & link to it when promoting the focus area, and create a physical version for the hackathon/wikimania in addition. What do you think? Any other ideas?

Hi all. I'll be at the hackathon, and would be happy to talk about / work on wikidata generated infoboxes there (amongst other things, e.g., using pywikibot).

Bmueller updated the task description. (Show Details)May 31 2019, 4:43 PM

Hi @Mike_Peel, sounds great! I added your name to the collection of ideas in the task description :-)

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptJun 8 2019, 10:25 PM
Yupik added a subscriber: Yupik.Jul 7 2019, 11:22 PM
Bmueller updated the task description. (Show Details)Jul 17 2019, 8:46 PM

Hey all, I have updated the task description with a few news on accepted sessions & the dedicated space at Wikimania :-)

Bmueller updated the task description. (Show Details)Jul 20 2019, 10:35 AM

Great! I added it to the list in the task description.

Bmueller updated the task description. (Show Details)Jul 20 2019, 10:54 AM

Could I suggest that some people look/work on T212881 ? (not "small wiki" per se, but pre-small wiki ;) )

@VIGNERON: AFAIK the scope of the toolkit are technically interested folks on small wikis who would like to perform technical tasks for and on their wikis...

Ok, I understand. I was just suggested this as "incubated" wikis is the step just before "small" wikis.

During the hackathon we plan to run a Lua introduction and a workshop specifically about WikidataIB module - is that in the scope of the project, could we include it in the schedule? :)

During the hackathon we plan to run a Lua introduction and a workshop specifically about WikidataIB module - is that in the scope of the project, could we include it in the schedule? :)

Hi @Lea_Lacroix_WMDE sounds good :-) I'll add it to the task description! Also please feel welcome to add the tickets as sub tickets to this one. The actual scheduling of sessions for the hackathon probably starts next week. If folks want to repeat the workshops as smaller office-hour-like versions during Wikimania, we're planning a meeting space in the main workshop building (Södra Huset) & will advertise the space over the next days :-) - we've just created a timetable here: https://wikimania.wikimedia.org/wiki/2019:Small_wiki_toolkits#Community_booth_at_Wikimania.

Bmueller updated the task description. (Show Details)Jul 26 2019, 10:51 AM
Bmueller added a subscriber: RexxS.
Bmueller updated the task description. (Show Details)Jul 26 2019, 11:04 AM

Will you be preparing some slides soon for a workshop or session to share a technical skill that will benefit small wiki contributors? If so, I encourage you to take a look at the toolkit development guidelines here: https://wikimania.wikimedia.org/wiki/2019:Small_wiki_toolkits#Developing_workshop_toolkits.

These guidelines focus on:

  • Documenting all toolkits in one place.
  • Uploading the PDF version to Wikimedia Commons with detailed notes to benefit both learners and potential trainers.
  • Keeping the source of the PDF open so that anyone can build upon it.

See for reference, a toolkit that we created:
https://commons.wikimedia.org/wiki/File:Userscript_and_Gadgets_workshop_toolkit.pdf

It would be nice if you could follow these guidelines to develop your workshop toolkits and share any feedback you might have!

Sneak preview :-) -

Ebe123 added a subscriber: Ebe123.Aug 14 2019, 3:12 PM

Sorry for the naive question, isn't this closely related to work that @Asaf has already done and/or plans to do? https://meta.wikimedia.org/wiki/Community_Capacity_Development/On-wiki_technical_skills

Sorry for the naive question, isn't this closely related to work that @Asaf has already done and/or plans to do? https://meta.wikimedia.org/wiki/Community_Capacity_Development/On-wiki_technical_skills

@Elitre not sure what your question is here, but the ticket is not specifically related to a project/proposal from 2015 or the work of one person. It’s related to the work of many who have done projects & workshops in this area - i.e. different language communities run regional workshops, WMDE developed a Wikidata Train the Trainer program & the Technical Advice IRC meeting and organises documentation sprints. Asaf did workshops in this area, people from the tech community run workshops at conferences like Wikimania, others create video tutorials … . - Also I’d hope it will continue to be the work of many in the future :-)

I may misremember and maybe the link I provided didn't help (and I can't find better ones sadly), but I thought there may be something closely related in the current plans from the Community Development team. I understand you haven't connected on this.

Ijon added a subscriber: Ijon.Aug 20 2019, 9:11 AM

Yes, we have not yet connected on this, and I had not been aware of this effort so far.

To clarify, the CCD work (for which research began in 2015, but to be clear, is still an ongoing-albeit-underfunded program) focused on a gap I had identified (at least at the time) -- while there were some training efforts on introducing developers to development with Mediawiki or with the API at the Wikimedia Hackathons and online, I did not see training efforts and effective teaching modules for technical skills for non-programmers, and so that was my focus.

The most significant work I have done in this area was Wikidata-for-Wikipedians training, wherein I introduced numerous communities who were, in my opinion, left behind in terms of Wikidata adoption, and encouraged them to go beyond interwiki links editing and labels, and really embrace Wikidata data modeling, querying, etc. But I have also been teaching people to use other technical tools such as PetScan, TABernacle, Video2commons, Pageview/Massviews/*, etc., and even to re-use Quarry queries without teaching SQL.

I am thrilled to hear about these new(er) efforts to build additional curricula for developers, but I think our efforts are still largely distinct, with little overlap.

Thanks for clarifying, and thanks both for the efforts in this area.

Hi, this open task is tagged only with Wikimania-Hackathon-2019 which is in the past.
If this task was being worked on and resolved at the Wikimania 2019 Hackathon: Please change the task status to "resolved" via the Add Action...Change Status dropdown.
If nobody plans to ever work on this task anymore: Feel free to set the task status to "declined".
If this task is still valid and should stay open: Please add an active project tag to this task, so others can find this task when searching for open tasks under that active project or when looking at that project's workboard.
Thank you for helping clean up a bit! :)

Bmueller closed this task as Resolved.Oct 12 2019, 8:35 AM

Ah, closed too early ;) - one last comment:

Summary & reflection from the Hackathon/Wikimania:

A huge thanks to everyone for supporting this :-)
Also @Aklapper , thanks a lot for the reminder!